#property copyright "Copyright  2014,  "
#property link      "cmillion@narod.ru"
#property show_inputs
#property description "      "
#property strict
//--------------------------------------------------------------------
extern int      stoploss       = 50,       //  SL,  0,  SL  
                takeprofit     = 50,       //  TP,  0,  TP  
                MaxOrders      = 1,        //- 
                Magic          = 123456;   //  
extern double   LotBuy         = 0.1;      //   0   
extern double   LotSell        = 0.1;      //   0   
extern datetime TimeSet        = D'2014.08.25 15:00'; //  ,     ,   
extern int      attempts       = 10;       //-  
string txt;
int n,slippage=3;
double STOPLEVEL;
//--------------------------------------------------------------------
int start()
{
   Comment("  OpenStopOrderNetTime ",TimeToStr(TimeCurrent(),TIME_DATE|TIME_SECONDS));
   STOPLEVEL=MarketInfo(Symbol(),MODE_STOPLEVEL);
   if (Digits==3 || Digits==5) slippage=30;
   while (TimeCurrent()<TimeSet)
   {
      Sleep(1000);
      Comment("       Copyright  2014 cmillion@narod.ru\n",
      TimeToStr(TimeCurrent(),TIME_SECONDS),"     ",TimeToStr(TimeSet-TimeCurrent(),TIME_SECONDS));
   }
   RefreshRates();

   for (int i=1; i<=MaxOrders; i++)
   {
      if (LotBuy>0)
      {
         OPENORDER (OP_BUY,NormalizeDouble(Ask,Digits),LotBuy,i);
      }
      if (LotSell>0)
      {  
         OPENORDER (OP_SELL,NormalizeDouble(Bid,Digits),LotSell,i);
      }
   }
   Comment("   ,  ",n,"   ",TimeToStr(TimeCurrent(),TIME_DATE|TIME_SECONDS));
return(0);
}
//--------------------------------------------------------------------
void OPENORDER(int ord,double Price,double LOT,int i)
{
   int error,err;
   double SL=0,TP=0;
   while (true)
   {  error=true;
      RefreshRates();
      if (ord==OP_BUY) 
      {
         if (takeprofit>=STOPLEVEL) TP  = NormalizeDouble(Price + takeprofit*Point,Digits); else TP=0;
         if (stoploss>=STOPLEVEL)   SL  = NormalizeDouble(Price - stoploss*Point,Digits);   else SL=0;     
         error=OrderSend(Symbol(),OP_BUY, LOT,Price,slippage,SL,TP,"http://cmillion.ru",Magic,0,Blue);
      }
      if (ord==OP_SELL) 
      {
         if (takeprofit>=STOPLEVEL) TP = NormalizeDouble(Price - takeprofit*Point,Digits); else TP=0;
         if (stoploss>=STOPLEVEL)   SL = NormalizeDouble(Price + stoploss*Point,Digits);   else SL=0;              
         error=OrderSend(Symbol(),OP_SELL,LOT,Price,slippage,SL,TP,"http://cmillion.ru",Magic,0,Red);
      }
      if (error==-1)
      {  
         txt=StringConcatenate(txt,"\nError ",GetLastError());
         if (ord== 1) txt = StringConcatenate(txt,"  OPENORDER BUY ",i,"   Ask =",DoubleToStr(Ask,Digits),"   Price =",DoubleToStr(Price,Digits)," (",NormalizeDouble((Price-Ask)/Point,0),")  SL =",DoubleToStr(SL,Digits)," (",NormalizeDouble((Price-SL)/Point,0),")  TP=",DoubleToStr(TP,Digits)," (",NormalizeDouble((TP-Price)/Point,0),")  STOPLEVEL=",STOPLEVEL);
         if (ord==-1) txt = StringConcatenate(txt,"  OPENORDER SELL ",i,"   Bid =",DoubleToStr(Bid,Digits),"   Price =",DoubleToStr(Price,Digits)," (",NormalizeDouble((Bid-Price)/Point,0),")  SL =",DoubleToStr(SL,Digits)," (",NormalizeDouble((SL-Price)/Point,0),")  TP=",DoubleToStr(TP,Digits)," (",NormalizeDouble((Price-TP)/Point,0),")  STOPLEVEL=",STOPLEVEL);
         Print(txt);
         Comment(txt,"  ",TimeToStr(TimeCurrent(),TIME_DATE|TIME_SECONDS));
         err++;Sleep(1000);RefreshRates();
      }
      else 
      {
         Comment(" ",error,"   ",TimeToStr(TimeCurrent(),TIME_DATE|TIME_SECONDS));
         n++;
         return;
      }
      if (err >attempts) return;
   }
return;
}                  
//--------------------------------------------------------------------

